Subject: RE: Compressor Rental Agreement
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Fri, 6 Apr 2001 08:46:00 -0700 (PDT)

Thanks.  I do not have a copy of the agreement on disk.  This is also a
critical path item for the project based on delivery time quoted. Talk to
you next week.

Ken Krisa

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, April 06, 2001 12:53 PM
To: [email-masked]
Subject: Re: Compressor Rental Agreement

Ken,  I have read through the agreement.  I think this agreement need some
fairly significant revisions.  It is extremely one-sided as currently
written.  I will write up my comments and get those to you early next week.

                    "Ken"
                    <kckrisa@apex        To:     "Gerald R. Nemec
\(E-mail\)" <[email-masked]>
                    2000.net>            cc:
                                         Subject:     Compressor Rental
Agreement
                    04/06/2001
                    11:22 AM
                    Please
                    respond to
                    kckrisa

Gerald,

Have you had a chance to look at the Compressor Rental Agreement for the
Badger Wash Gas Plant?

Ken Krisa